#ifndef OFD_H
#define OFD_H

#include <string>
#include <vector>
#include "module.h"

class OFD {

    OFDModule module;

public:
    OFD();
    OFD(std::string);

    std::vector<std::string> search_ofds();

    void set_module(std::string);

    std::string get_check_data(std::string fn, std::string fd, std::string fp);
    std::vector<std::string> check_updates();
};
#endif // OFD_H
